<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Dec 07 20:27:02 CET 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>S-Index</title>
<meta name="date" content="2017-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-8.html">Prev Letter</a></li>
<li><a href="index-10.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-9.html" target="_top">Frames</a></li>
<li><a href="index-9.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">G</a>&nbsp;<a href="index-4.html">I</a>&nbsp;<a href="index-5.html">M</a>&nbsp;<a href="index-6.html">O</a>&nbsp;<a href="index-7.html">P</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Item.html#search-java.lang.String-">search(String)</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a></dt>
<dd>
<div class="block">Méthode abstraite de recherche (doit être implémentée par les sous-classes d'Item)</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Movie.html#search-java.lang.String-">search(String)</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a></dt>
<dd>
<div class="block">Implémentation de la méthode de recherche propre aux films</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/TvShow.html#search-java.lang.String-">search(String)</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/TvShow.html" title="class in org.tpepsi.data.entity">TvShow</a></dt>
<dd>
<div class="block">Implémentation de la méthode de recherche propre aux séries</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/service/ItemService.html#search-java.lang.String-">search(String)</a></span> - Method in class org.tpepsi.service.<a href="../org/tpepsi/service/ItemService.html" title="class in org.tpepsi.service">ItemService</a></dt>
<dd>
<div class="block">Liste d'Items répondant à un critère de recherche</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/controllers/MovieController.html#searchMovies-java.lang.String-">searchMovies(String)</a></span> - Method in class org.tpepsi.controllers.<a href="../org/tpepsi/controllers/MovieController.html" title="class in org.tpepsi.controllers">MovieController</a></dt>
<dd>
<div class="block">Recherche avec critère d'un film</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/controllers/TvShowController.html#searchTvShows-java.lang.String-">searchTvShows(String)</a></span> - Method in class org.tpepsi.controllers.<a href="../org/tpepsi/controllers/TvShowController.html" title="class in org.tpepsi.controllers">TvShowController</a></dt>
<dd>
<div class="block">Recherche avec critère d'une série</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Item.html#setBorrowedBy-java.lang.String-">setBorrowedBy(String)</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a></dt>
<dd>
<div class="block">Setter de l'emprunteur</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Movie.html#setDirector-java.lang.String-">setDirector(String)</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a></dt>
<dd>
<div class="block">Setter du réalisateur</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Item.html#setId-long-">setId(long)</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a></dt>
<dd>
<div class="block">Setter de l'id d'un Item</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/TvShow.html#setNetwork-java.lang.String-">setNetwork(String)</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/TvShow.html" title="class in org.tpepsi.data.entity">TvShow</a></dt>
<dd>
<div class="block">Setter de la chaîne de la série</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Movie.html#setReleaseYear-int-">setReleaseYear(int)</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Movie.html" title="class in org.tpepsi.data.entity">Movie</a></dt>
<dd>
<div class="block">Setter de l'année de sortie</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/TvShow.html#setShowrunner-java.lang.String-">setShowrunner(String)</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/TvShow.html" title="class in org.tpepsi.data.entity">TvShow</a></dt>
<dd>
<div class="block">Setter du créateur de la série</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/Item.html#setTitle-java.lang.String-">setTitle(String)</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a></dt>
<dd>
<div class="block">Setter du titre d'un Item</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/data/entity/User.html#setUsername-java.lang.String-">setUsername(String)</a></span> - Method in class org.tpepsi.data.entity.<a href="../org/tpepsi/data/entity/User.html" title="class in org.tpepsi.data.entity">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/tpepsi/config/SwaggerConfig.html" title="class in org.tpepsi.config"><span class="typeNameLink">SwaggerConfig</span></a> - Class in <a href="../org/tpepsi/config/package-summary.html">org.tpepsi.config</a></dt>
<dd>
<div class="block">Configuration de SWAGGER
 <br>
 <a>http://localhost:8080/swagger-ui.html</a></div>
</dd>
<dt><span class="memberNameLink"><a href="../org/tpepsi/config/SwaggerConfig.html#SwaggerConfig--">SwaggerConfig()</a></span> - Constructor for class org.tpepsi.config.<a href="../org/tpepsi/config/SwaggerConfig.html" title="class in org.tpepsi.config">SwaggerConfig</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">G</a>&nbsp;<a href="index-4.html">I</a>&nbsp;<a href="index-5.html">M</a>&nbsp;<a href="index-6.html">O</a>&nbsp;<a href="index-7.html">P</a>&nbsp;<a href="index-8.html">R</a>&nbsp;<a href="index-9.html">S</a>&nbsp;<a href="index-10.html">T</a>&nbsp;<a href="index-11.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-8.html">Prev Letter</a></li>
<li><a href="index-10.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-9.html" target="_top">Frames</a></li>
<li><a href="index-9.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
